# MainWidget

#### new MainWidget(options)

Source:
  - modules/MainWidget.js, line 18

MainWidget

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object |

### Members

#### (static, constant) this.settings :Object

Source:
  - modules/MainWidget.js, line 25

MainWidget settings

##### Type:

- Object

### Methods

#### (static) this.accordionStyle(data, onLayout)

Source:
  - modules/MainWidget.js, line 123

Accordion style layout

- parameters:
  - label: String "Available rewards"
  - type: String "available-rewards"
  - shown: Boolean true/false

##### Parameters:

Name | Type | Description
--- | --- | ---
`data` | Array |
`onLayout` | function |